<!-- All JavaScript Files -->
<script>
    var myVueMixin = [];
</script>
<?= $this->renderSection('fjs') ?>
<?php $bu = base_url();
$vjs = versioningjs(); ?>
<?php if (is_https()) : ?>
    <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
<?php endif; ?>
<script>
    function gaem(err, errMsg = "Ada masalah saat menghubungi server") {
        if (!err) return errMsg;
        try {
            if (typeof err.response.data.messages.message == 'string') errMsg = err.response.data.messages.message;
        } catch (error) {

        }
        try {
            if (typeof err.response.data.messages.error == 'string') errMsg = err.response.data.messages.error;
        } catch (error) {

        }
        try {
            if (typeof err.response.data.message == 'string') errMsg = err.response.data.message;
            if (typeof err.response.data.file == 'string') errMsg += " | " + err.response.data.file;
            if (typeof err.response.data.line == 'number') errMsg += " | " + err.response.data.line;
        } catch (error) {

        }
        return errMsg;
    }
    var base_url = '<?= $bu ?>';
    var altAvatar = base_url + "/assets/img/users/profile-photo.png";
    window.OneSignal = window.OneSignal || [];
</script>
<script id="cxaedm">
    var xaedm = {
        'name': '<?= csrf_token() ?>',
        'value': '<?= csrf_hash() ?>'
    };
</script>
<script src="<?= $bu  ?>/mobile/js/bootstrap.bundle.min.js?v=<?= $vjs ?>"></script>
<script src="<?= $bu  ?>/mobile/js/active.js?v=<?= $vjs ?>"></script>
<script src="<?= $bu ?>/vendors/plainadmin/assets/js/moment-with-locales.min.js?v=<?= $vjs ?>"></script>
<?php if (ENVIRONMENT == 'production') : ?>
    <script src="<?= $bu ?>/vendors/vue/3.2.47/vue.global.prod.js?v=<?= $vjs ?>"></script>
<?php else : ?>
    <script src="<?= $bu ?>/vendors/vue/3.2.47/vue.global.js?v=<?= $vjs ?>"></script>
<?php endif; ?>
<script src="<?= $bu ?>/vendors/vuex/4.0.0/dist/vuex.global.js?v=<?= $vjs ?>"></script>
<script src="<?= $bu ?>/vendors/axios/0.23.0/axios.min.js?v=<?= $vjs ?>"></script>
<?= $this->renderSection('cjs') ?>
<script src="<?= $bu ?>/mobile/js/main.js?v=<?= $vjs ?>"></script>
<script src="<?= $bu ?>/mobile/js/init.js?v=<?= $vjs ?>"></script>
<!-- <script src="<?= $bu ?>/mobile/js/components/common-sidebar.js?v=<?= $vjs ?>"></script> -->
<!-- PWA -->
<script src="<?= $bu ?>/mobile/js/pwa.js?v=<?= $vjs ?>"></script>
<?= $this->renderSection('js') ?>
<script>
    VAPP.use(store)
    // VAPP.component(VPSideBar.name, VPSideBar);
    VAPP.mount("#app");
</script>
<?= $this->renderSection('ljs') ?>